from django.contrib.auth.decorators import login_required
from django.shortcuts import render


@login_required(login_url='login')
def search_book(request):
    template_name = 'books/search_books.html'
    searched_book = request.GET.get('searched_book', '')

    # TODO remove when production
    books = [{'title': 'Imitação de Cristo', 'authors': ['Tomás de Kempis'],
              'description': 'Da imitação de Cristo e desprezo de todas as vaidades do mundo 1. Quem me segue não anda nas trevas, diz o Senhor (Jo 8,12). São estas as palavras de Cristo, pelas quais somos advertidos que imitemos sua vida e seus costumes, se verdadeiramente queremos ser iluminados e livres de toda cegueira de coração. Seja, pois, o nosso principal empenho meditar sobre a vida de Jesus Cristo. 2. A doutrina de Cristo é mais excelente que a de todos os santos, e quem tiver seu espírito encontrará nela um maná escondido. Sucede, porém, que muitos, embora ouçam frequentemente o Evangelho, sentem nele pouco enlevo: é que não possuem o espírito de Cristo. Quem quiser compreender e saborear plenamente as palavras de Cristo, é-lhe preciso que procure conformar à dele toda a sua vida. 3. Que te aproveita discutires sabiamente sobre a SS. Trindade, se não és humilde, desagradando, assim, a essa mesma Trindade? Na verdade, não são palavras elevadas que fazem o homem justo; mas é a vida virtuosa que o torna agradável a Deus. Prefiro sentir a contrição dentro de minha alma, a saber defini-la. Se soubesses de cor toda a Bíblia e as sentenças de todos os filósofos, de que te serviria tudo isso sem a caridade e a graça de Deus? Vaidade das vaidades, e tudo é vaidade (Ecle 1,2), senão amar a Deus e só a ele servir. A suprema sabedoria é esta: pelo desprezo do mundo tender ao reino dos céus. 4. Vaidade é, pois, buscar riquezas perecedoras e confiar nelas. Vaidade é também ambicionar honras e desejar posição elevada. Vaidade, seguir os apetites da carne e desejar aquilo pelo que, depois, serás gravemente castigado. Vaidade, desejar longa vida e, entretanto, descuidar-se de que seja boa. Vaidade, só atender à vida presente sem providenciar para a futura. Vaidade, amar o que passa tão rapidamente, e não buscar, pressuroso, a felicidade que sempre dura. 5. Lembra-te a miúdo do provérbio: Os olhos não se fartam de ver, nem os ouvidos de ouvir (Ecle 1,8). Portanto, procura desapegar teu coração do amor às coisas visíveis e afeiçoá-lo às invisíveis: pois aqueles que satisfazem seus apetites sensuais mancham a consciência e perdem a graça de Deus.',
              'ISBN_13': '', 'ISBN_10': '', 'categories': '',
              'image_url': 'http://books.google.com/books/content?id=run-CQAAQBAJ&printsec=frontcover&img=1&zoom=5&source=gbs_api'},
             {'title': 'A IMITAÇÃO DE CRISTO DE TOMÁS KEMPIS COM COMENTÁRIOS', 'authors': ['Valdemir Mota de Menezes'],
              'description': 'O livro Imitação de Cristo foi escrito em um momento de reviravolta no cristianismo, as pessoas estavam cansadas daquela vida espiritual ritualística do catolicismo romano e a conseqüência disto foi uma implosão que levou muitos católicos a buscarem a Palavra de Deus pela Bíblia dando origem as igrejas protestantes e por outro lado uma busca interior pela espiritualidade que aproximasse o homem mais e mais de Deus. O padre alemão Tomás da cidade de Kempis produziu esta obra-prima do cristianismo, mostrando que se amamos de fato a Deus, devemos buscar viver como Cristo, imitando seus exemplos. Não adianta discutir teorias teológicas e não tivermos interesse em obedecer os mandamentos de Deus e se de fato não amarmos a Deus e ao próximo. Este livro foi escrito em 1441 as vésperas da Reforma Protestante.',
              'ISBN_13': '9781072976936', 'ISBN_10': '1072976935', 'categories': ['Self-Help'],
              'image_url': 'http://books.google.com/books/content?id=mxbEDwAAQBAJ&printsec=frontcover&img=1&zoom=5&edge=curl&source=gbs_api'},
             {'title': 'A ImitaÇÃo De Cristo De TomÁs De Kempis Com ComentÁrios', 'authors': ['Escriba De Cristo'],
              'description': 'O livro Imitação de Cristo foi escrito em um momento de reviravolta no cristianismo, as pessoas estavam cansadas daquela vida espiritual ritualística do catolicismo romano e a conseqüência disto foi uma implosão que levou muitos católicos a buscarem a Palavra de Deus pela Bíblia dando origem as igrejas protestantes e por outro lado uma busca interior pela espiritualidade que aproximasse o homem mais e mais de Deus. O padre alemão Tomás da cidade de Kempis produziu esta obra-prima do cristianismo, mostrando que se amamos de fato a Deus, devemos buscar viver como Cristo, imitando seus exemplos. Não adianta discutir teorias teológicas e não tivermos interesse em obedecer os mandamentos de Deus e se de fato não amarmos a Deus e ao próximo. Este livro foi escrito em 1441 as vésperas da Reforma Protestante.',
              'ISBN_13': '', 'ISBN_10': '', 'categories': ['Religion'],
              'image_url': 'http://books.google.com/books/content?id=BWz0DwAAQBAJ&printsec=frontcover&img=1&zoom=5&edge=curl&source=gbs_api'},
             {'title': 'Imitação de Cristo', 'authors': ['Tomas de Kempis'],
              'description': '"Quem me segue não caminha em trevas (cf. Jo 8,12), diz o Senhor. Essas são palavras de Cristo, com as quais somos admoestados a imitar Sua vida e Seus costumes, se queremos ser de verdade iluminados e libertados de toda a cegueira de coração (cf. Mc 3,5; Ef 4,18). Esteja, portanto, o nosso maior empenho em meditar a vida de Jesus. Sua doutrina excede a de todos os santos; e quem tiver espírito, aí encontrará um maná escondido (cf. Ap 2,17)."',
              'ISBN_13': '9788534949910', 'ISBN_10': '8534949913', 'categories': ['Religion'],
              'image_url': 'http://books.google.com/books/content?id=Xi6bDwAAQBAJ&printsec=frontcover&img=1&zoom=5&edge=curl&source=gbs_api'},
             {'title': 'A Imitação de Cristo Explicada', 'authors': ['Escriba de Cristo', 'Tomas de Kempis'],
              'description': 'Este é um livro de devocionário, um estilo na qual o escritor expressa sua adoração a Deus e como pratica seus atos de adoração a serviço espiritual ao Senhor. Um tanto fora da curva o fato de eu ser evangélico e tomar um livro de um padre medieval para fazer comentários. Todavia o livro IMITAÇÃO DE CRISTO é de tal profundidade espiritual que ele serve como reflexão para cristãos de qualquer denominação cristã. Mesmo Testemunhas de Jeová, mórmons, adventistas, ortodoxos, absolutamente qualquer seita cristã, ou grupo não terá objeção em ler e se sentir atraído pelo Senhor. De maneira que é um livro que deve ser lido por aqueles que amam a Deus, independente qual seja seu credo cristão. Por não ser um livro de teologia, mas de devoção, ele não tem contra-indicação. A pessoa precisaria ser muito sectarista para ter aversão a esta leitura. O livro Imitação de Cristo foi escrito em um momento de reviravolta no cristianismo, as pessoas estavam cansadas daquela vida espiritual ritualística do catolicismo romano e a conseqüência disto foi uma implosão que levou muitos católicos a buscarem a Palavra de Deus pela Bíblia dando origem as igrejas protestantes.',
              'ISBN_13': '9781673736526', 'ISBN_10': '1673736521', 'categories': '',
              'image_url': 'http://books.google.com/books/content?id=206nzAEACAAJ&printsec=frontcover&img=1&zoom=5&source=gbs_api'},
             {'title': 'A imitação de Cristo', 'authors': ['Thomas À Kempis'],
              'description': 'Este livro é um dos mais lidos nos últimos 500 anos. É um manual de espiritualidade para aqueles que estão dispostos a crescer no discipulado radical. Pode inclusive, ser usado, seguindo as divisões de capítulos, como leitura diária devocional.',
              'ISBN_13': '9788588315082', 'ISBN_10': '8588315084', 'categories': ['Meditations'], 'image_url': ''},
             {'title': 'Imitaçao De Cristo E Seguimento De Jesus', 'authors': ['Leonardo Boff', 'Tomas De Kempis'],
              'description': 'Depois da Bíblia, Imitação de Cristo é um dos livros mais lidos por cristãos e por seguidores de outros caminhos espirituais. Seu autor, Tomás de Kempis, era cônego da Ordem de Santo Agostinho e durante toda sua vida dedicou-se à iniciação de jovens noviços na vida espiritual. Das conferências e dos conselhos espirituais que dispensava nasceu este pequeno livro. O teólogo Leonardo Boff retraduziu e atualizou a obra no contexto da piedade cristã, inspirado nos ensinamentos do Concílio Vaticano II. E para conferir atualidade a ela, Boff acrescentou mais uma parte sob o título Seguimento de Jesus. Este tema do seguimento traduz a tendência espiritual, nascida dos estudos bíblicos e vivida pelos cristãos e pelas cristãs engajados no mundo numa perspectiva de fazer valer os bens do Reino de Deus, que são o amor incondicional, a misericórdia, a fraternidade universal e a filiação divina oferecida a todos.',
              'ISBN_13': '9788532653352', 'ISBN_10': '8532653359', 'categories': '', 'image_url': ''},
             {'title': 'IMITAÇAO DE CRISTO', 'authors': ['PADRE J. L. ROQUETE'],
              'description': 'Obra clássica da espiritualidade cristã. Como o próprio título indica, a obra procura fazer com que cada cristão se aproxime do Mestre na coerência de vida e na fidelidade.',
              'ISBN_13': '9788527605618', 'ISBN_10': '8527605619', 'categories': '', 'image_url': ''},
             {'title': 'Imitação de Cristo', 'authors': ['GUILBERT, Pierre'],
              'description': 'A imitação de Cristo é uma obra da literatura devocional, publicada no século XV. Seu texto é um auxiliar à oração e às práticas devocionais pessoais. Alguns o consideram um dos maiores tratados de moral cristã.',
              'ISBN_13': '9788515005659', 'ISBN_10': '8515005654', 'categories': '',
              'image_url': 'http://books.google.com/books/content?id=ccAy9nzhSiYC&printsec=frontcover&img=1&zoom=5&edge=curl&source=gbs_api'},
             {'title': 'Imitação de Cristo', 'authors': ['Tomás de Kempis'],
              'description': 'Da imitação de Cristo e desprezo de todas as vaidades do mundo 1. Quem me segue não anda nas trevas, diz o Senhor (Jo 8,12). São estas as palavras de Cristo, pelas quais somos advertidos que imitemos sua vida e seus costumes, se verdadeiramente queremos ser iluminados e livres de toda cegueira de coração. Seja, pois, o nosso principal empenho meditar sobre a vida de Jesus Cristo. 2. A doutrina de Cristo é mais excelente que a de todos os santos, e quem tiver seu espírito encontrará nela um maná escondido. Sucede, porém, que muitos, embora ouçam frequentemente o Evangelho, sentem nele pouco enlevo: é que não possuem o espírito de Cristo. Quem quiser compreender e saborear plenamente as palavras de Cristo, é-lhe preciso que procure conformar à dele toda a sua vida. 3. Que te aproveita discutires sabiamente sobre a SS. Trindade, se não és humilde, desagradando, assim, a essa mesma Trindade? Na verdade, não são palavras elevadas que fazem o homem justo; mas é a vida virtuosa que o torna agradável a Deus. Prefiro sentir a contrição dentro de minha alma, a saber defini-la. Se soubesses de cor toda a Bíblia e as sentenças de todos os filósofos, de que te serviria tudo isso sem a caridade e a graça de Deus? Vaidade das vaidades, e tudo é vaidade (Ecle 1,2), senão amar a Deus e só a ele servir. A suprema sabedoria é esta: pelo desprezo do mundo tender ao reino dos céus. 4. Vaidade é, pois, buscar riquezas perecedoras e confiar nelas. Vaidade é também ambicionar honras e desejar posição elevada. Vaidade, seguir os apetites da carne e desejar aquilo pelo que, depois, serás gravemente castigado. Vaidade, desejar longa vida e, entretanto, descuidar-se de que seja boa. Vaidade, só atender à vida presente sem providenciar para a futura. Vaidade, amar o que passa tão rapidamente, e não buscar, pressuroso, a felicidade que sempre dura. 5. Lembra-te a miúdo do provérbio: Os olhos não se fartam de ver, nem os ouvidos de ouvir (Ecle 1,8). Portanto, procura desapegar teu coração do amor às coisas visíveis e afeiçoá-lo às invisíveis: pois aqueles que satisfazem seus apetites sensuais mancham a consciência e perdem a graça de Deus.',
              'ISBN_13': '', 'ISBN_10': '', 'categories': '',
              'image_url': 'http://books.google.com/books/content?id=JwvDtgEACAAJ&printsec=frontcover&img=1&zoom=5&source=gbs_api'}]
    context = dict(books=books, searched_book=searched_book)
    return render(request, template_name, context)

    # TODO add in production
    # context = dict(searched_book=searched_book)
    # if searched_book:
    #     books, status = google_api.get_book_data(searched_book, by_isbn=False)
    #     if status == HTTPStatus.OK:
    #         context['books'] = books
    #     else:
    #         messages.warning(request, "Busca inválida, tente novamente")
    # return render(request, template_name, context=context)
